Last Comment Bug 831188 - about:plugins lists blocklisted and user-disabled plugins
: about:plugins lists blocklisted and user-disabled plugins
Status: VERIFIED FIXED
[mozmill]
: regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 21 Branch
: All All
: P2 normal with 1 vote (vote)
: mozilla21
Assigned To: Chris Peterson [:cpeterson]
:
Mentors:
http://hg.mozilla.org/mozilla-central...
Depends on:
Blocks: 757726 830262 831533
  Show dependency treegraph
 
Reported: 2013-01-16 01:29 PST by mario garbi
Modified: 2013-04-26 06:31 PDT (History)
10 users (show)
hskupin: in‑qa‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
fixed


Attachments
skip-inactive-plugins.patch (1.14 KB, patch)
2013-01-16 11:21 PST, Chris Peterson [:cpeterson]
benjamin: review+
benjamin: feedback+
Details | Diff | Splinter Review

Description mario garbi 2013-01-16 01:29:16 PST
Because of bug 757726 (http://hg.mozilla.org/mozilla-central/rev/42b22f0ab58c ) about:plugins doesn't update the lists of disabled plugins from AddonsManager anymore.

 Manually reproduced:
 1.Open Addons Manager
 2.Disable a plugin
 3.Open about:plugins
 
  Results:
 -plugin did not disappeared from about:plugins when disabled in Addons Manager as it should have.
Comment 1 Henrik Skupin (:whimboo) 2013-01-16 01:44:41 PST
Reason here is that we no longer filter by enabled plugins:
http://hg.mozilla.org/mozilla-central/file/42b22f0ab58c/toolkit/content/plugins.html#l60

This regression has been found by Mozmill.
Comment 2 Benjamin Smedberg [:bsmedberg] 2013-01-16 06:04:45 PST
I'm actually happy with this change and think we should keep it. It's useful to be able to see the full version information for plugins even if they are disabled in the addons manager. The only think I would change is that we should show the enabled/disabled state in about:plugins. So I'm going to morph this bug.
Comment 3 Henrik Skupin (:whimboo) 2013-01-16 10:35:52 PST
This change causes a permanent test failure in our testsuite. It would be nice if we can get this fixed sooner than later. What does P2 mean? I just wonder if we should disable the test for the time being.
Comment 4 Benjamin Smedberg [:bsmedberg] 2013-01-16 10:54:08 PST
P2 means that somebody is working on it but it doesn't stop all other activity.
Comment 5 Chris Peterson [:cpeterson] 2013-01-16 11:21:01 PST
Created attachment 702932 [details] [diff] [review]
skip-inactive-plugins.patch

Here is a quick fix for the about:plugins regression. It skips "inactive" plugins, which includes both blocklisted and user-disabled.

I assume the previous about:plugins implementation using navigator.plugins skipped blocklisted plugins, but I don't have any blocklisted plugins installed that I can test with.

I agree with bsmedberg that about:plugins should show all plugins plus their enabled/disabled/blocklisted status, but I think fixing this about:plugins regression in the meantime makes sense.
Comment 6 Benjamin Smedberg [:bsmedberg] 2013-01-16 14:57:19 PST
Comment on attachment 702932 [details] [diff] [review]
skip-inactive-plugins.patch

Yeah, if this is easier we can do it for now. Can you file the bug I wished we had?
Comment 7 Chris Peterson [:cpeterson] 2013-01-16 15:35:29 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/2f28e36cd272
Comment 8 Chris Peterson [:cpeterson] 2013-01-16 15:40:30 PST
I filed bug 831533 to track the plugin status bug.
Comment 9 Chris Peterson [:cpeterson] 2013-01-16 15:44:06 PST
*** Bug 830262 has been marked as a duplicate of this bug. ***
Comment 10 Henrik Skupin (:whimboo) 2013-01-16 16:01:56 PST
Chris, thank you for fixing it that quickly!
Comment 11 Ed Morley [:emorley] 2013-01-17 02:53:30 PST
https://hg.mozilla.org/mozilla-central/rev/2f28e36cd272
Comment 12 Henrik Skupin (:whimboo) 2013-01-17 06:02:53 PST
That looks good in todays nightly build. Marking as verified fixed.
Comment 13 Mitza 2013-04-12 08:04:16 PDT
Verified fixed on Mozilla/5.0 (X11; Linux i686; rv:21.0) Gecko/20100101 Firefox/21.0
Verified fixed on Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:21.0) Gecko/20100101 Firefox/21.0
Mozilla/5.0 (Windows NT 6.2; WOW64; rv:21.0) Gecko/20100101 Firefox/21.0


On Windows with Firefox 21 Beta 2(Build ID:20130408165307) I found an issue:

STR:
1.Open Addons Manager
 2.Disable a plugin
 3.Open about:plugins
 4.Go back to addons manager and Enable the same plugin
 5.Refresh about:plugins page

Actual result: 
Step 3 the plugin is disabled.
Step 5 the plugin is still disabled.

Notes: If I refresh the add-ons manager page at step 4, the previous action is not remembered.
 
Should I fill up a new bug?
Comment 14 Benjamin Smedberg [:bsmedberg] 2013-04-12 08:13:38 PDT
Mitza, please check in FF22 first; I think we probably fixed this in bug 830267. If you can still reproduce it there, then yes, file a bug.
Comment 15 Mitza 2013-04-12 08:41:45 PDT
Mozilla/5.0 (Windows NT 6.2; WOW64; rv:22.0) Gecko/20130412 Firefox/22.0

This is fixed on FF22 (Build ID:20130412004014), so I won't file a new bug.
Comment 16 Mitza 2013-04-26 05:10:40 PDT
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20100101 Firefox/21.0

This issue is still reproducible on FF21 Beta5 (Build ID:20130425162858).
Comment 17 Tiziana Sellitto [:tiziana] 2013-04-26 06:31:07 PDT
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:21.0) Gecko/20100101 Firefox/21.0 
Build ID : 20130425162858

On FF21 Beta 5 the plugin is correctly shown in about:plugins with the state "Disabled"
As for the Comment 14 after the Step 5 the plugin is enabled.

Note You need to log in before you can comment on or make changes to this bug.